.albumsAccueil {
    background-image: url('/images/autres/albums.png');
    background-size: cover;
    background-position: center;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px 0;
}

.divAlbum {
    background-color: rgba(12, 12, 12, 0.9);
    height: auto;
    width: 70vw;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: auto;
    position: relative;
    border-radius: 20px;
}

.divAlbum h1 {
    width: 100%;
    margin: 50px 0;
}

.divAlbum a.savoirplus {
    margin: 50px 100px;
}

.gaucheAlbum {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.albumImg {
    width: 60%;
    height: auto;
}

.albumTitre {
    font-weight: 600;
    font-size: 32px;
    color: white;
}

.droiteAlbum {
    width: 40%;
    display: flex;
    flex-direction: column;
}

.ligneChanson {
    display: flex;
    justify-content: space-between;
    color: white;
    font-size: 20px;
}

.nomChanson {
    font-weight: 500;
}

.dureeChanson {
    font-weight: 200;
}

.albumsLinks {
    margin-top: 20px;
    display: flex;
    justify-content: space-evenly;
    gap: 10px;
}

.link {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #d1d1d1;
}

.svg {
    width: 35px;
    height: auto;
    margin-bottom: 10px;
}

.bgAlbum {
    background-image: url(/images/autres/Fond_petit.png);
    background-size: cover;
    padding-top: 60px;
    padding-bottom: 1px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.listeAlbum {
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    width: 50%;
    justify-content: center;
    gap: 30px;
}

.listeAlbum img {
    width: 35%;
    height: auto;
    cursor: pointer;
}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(2px);
    display: none;
    justify-content: center;
    align-items: center;
}

#container {
    margin-top: 100px;
    position: relative;
    padding-top: 20px;
    height: auto;
    width: 60%;
    border-radius: 20px;
    background-color: #0c0c0c;
}

#albumContent {
    background-color: rgba(12, 12, 12, 1);
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: 50px 0;
    position: relative;
    border-radius: 20px;
}

.close-btn {
    border: none;
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 50px;
    background-color: transparent;
    color: #d1d1d1;
    z-index: 10;
}

.close-btn:hover {
    color: white;
}

@media (max-width: 1200px) {
    .nomChanson, .dureeChanson {
        margin: 10px 0;
    }

    .listeAlbum img {
        width: 40%;
    }

    #container {
        width: 70%;
        margin-top: 50px;
    }
}

@media (max-width: 1024px) {
    .divAlbum {
        width: 80%;
    }

    .bgAlbum {
        padding-top: 30px;
    }
}

@media (max-width: 768px) {
    .nomChanson, .dureeChanson, .albumTitre {
        font-size: 16px;
    }

    .albumTitre {
        font-size: 20px;
    }

    .droiteAlbum {
        width: 40%;
        padding: 20px;
    }

    .gaucheAlbum {
        width: 50%;
    }

    .divAlbum h1 {
        margin: 20px 0;
    }

    .divAlbum a.savoirplus {
        margin: 20px 50px;
    }

    .listeAlbum {
        width: 70%;
    }

    #container {
        width: 70%;
    }
}

@media (max-width: 600px) {
    .albumTitre, .nomChanson, .dureeChanson {
        font-size: 18px;
    }

    .divAlbum {
        width: 90%;
    }

    .albumsLinks .linktxt {
        display: none;
    }

    .bgAlbum {
        padding-top: 20px;
    }

    #albumContent {
        margin: 0;
    }
}

@media (max-width: 480px) {
    .divAlbum {
        flex-direction: column;
    }

    .gaucheAlbum, .droiteAlbum {
        box-sizing: border-box;
        width: 90%;
    }

    .albumsLinks {
        width: 70%;
        margin: 20px auto 0 auto;
    }

    .divAlbum a.savoirplus {
        margin-top: 0;
    }

    .listeAlbum img {
        width: 70%;
    }
}